<!DOCTYPE html>
<html>
    <head>
        <title>Ajax</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="global.css" type="text/css" rel="stylesheet" media="screen"/>

        <style type="text/css">
            #reprAjax {
                margin: 5px;
                padding: 5px;
                background-color: #ccc;
            }
        </style>
        
        <script type="text/javascript">
            function ajaxCharge(num) {
                var xmlhttp;

                if (window.XMLHttpRequest) {
                    xmlhttp = new XMLHttpRequest();
                } else {
                    xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                }

                xmlhttp.onreadystatechange = function()
                {
                    if (xmlhttp.readyState === 4 && xmlhttp.status === 200)
                    {
                        document.getElementById("reprAjax").innerHTML = xmlhttp.responseText;
                    }
                };

                if (num === 1) {
                    xmlhttp.open("GET", "ajax_1.txt", true);
                } else {
                    xmlhttp.open("GET", "ajax_2.txt", true);
                }

                xmlhttp.send();
            }
        </script>
    </head>

    <body>
        <button type="button" onclick="ajaxCharge(1)">Ajax 1</button>
        <button type="button" onclick="ajaxCharge(2)">Ajax 2</button>

        <div id="reprAjax"><h2>Un texto escrito directamente en la página HTML.</h2></div>

    </body>
</html>
